<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>Uses of Class statistics.AssistancePerson</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class statistics.AssistancePerson";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../AssistancePerson.html" title="class in statistics">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class statistics.AssistancePerson" class="title">Uses of Class<br>statistics.AssistancePerson</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#statistics">statistics</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="statistics">
<!--   -->
</a>
<h3>Uses of <a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a> in <a href="../package-summary.html">statistics</a></h3>
<div class="useSummary">
<table>
<caption><span>Fields in <a href="../package-summary.html">statistics</a> with type parameters of type <a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AssistanceAnnual.</span><code><span class="memberNameLink"><a href="../AssistanceAnnual.html#daysList">daysList</a></span></code></th>
<td class="colLast">
<div class="block">Array of assistance data accumulated per day.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AssistanceAnnual.</span><code><span class="memberNameLink"><a href="../AssistanceAnnual.html#monthsList">monthsList</a></span></code></th>
<td class="colLast">
<div class="block">Array of assistance data accumulated by months.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">statistics</a> that return <a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AssistanceAnnual.</span><code><span class="memberNameLink"><a href="../AssistanceAnnual.html#getAssistanceDay(int)">getAssistanceDay</a></span>&#8203;(int&nbsp;dayOfYear)</code></th>
<td class="colLast">
<div class="block">Obtain data of the indicated day of year</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AssistanceAnnual.</span><code><span class="memberNameLink"><a href="../AssistanceAnnual.html#getAssistanceMonth(int)">getAssistanceMonth</a></span>&#8203;(int&nbsp;month)</code></th>
<td class="colLast">
<div class="block">Obtain data of the indicated month</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AssistanceAnnual.</span><code><span class="memberNameLink"><a href="../AssistanceAnnual.html#getAssistanceYear()">getAssistanceYear</a></span>()</code></th>
<td class="colLast">
<div class="block">Obtains the accumulated data of the year</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AssistanceStatistics.</span><code><span class="memberNameLink"><a href="../AssistanceStatistics.html#getStatisticForDay(int,int)">getStatisticForDay</a></span>&#8203;(int&nbsp;year,
                  int&nbsp;dayOfYear)</code></th>
<td class="colLast">
<div class="block">Obtains the statistic for indicated day of year</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AssistanceStatistics.</span><code><span class="memberNameLink"><a href="../AssistanceStatistics.html#getStatisticForMonth(int,int)">getStatisticForMonth</a></span>&#8203;(int&nbsp;year,
                    int&nbsp;month)</code></th>
<td class="colLast">
<div class="block">Obtains the statistic for indicated month</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AssistanceStatistics.</span><code><span class="memberNameLink"><a href="../AssistanceStatistics.html#getStatisticForYear(int)">getStatisticForYear</a></span>&#8203;(int&nbsp;year)</code></th>
<td class="colLast">
<div class="block">Obtains the statistic for indicated year</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">statistics</a> with parameters of type <a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AssistanceReport.</span><code><span class="memberNameLink"><a href="../AssistanceReport.html#print(java.lang.String,statistics.AssistancePerson,int)">print</a></span>&#8203;(java.lang.String&nbsp;title,
     <a href="../AssistancePerson.html" title="class in statistics">AssistancePerson</a>&nbsp;data,
     int&nbsp;numDays)</code></th>
<td class="colLast">
<div class="block">Show attendance data on screen</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../AssistancePerson.html" title="class in statistics">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
